Skip to main content
GET
/
api
/
rule
/
{id}
Retrieves a single automation rule configuration by identifier.
curl --request GET \
  --url https://{tenant}.ekso.app/api/rule/{id} \
  --header 'Authorization: Bearer <token>'
{
  "entity": "<string>",
  "name": "<string>",
  "description": "<string>",
  "active": true,
  "owner": 123,
  "ownerId": "<string>",
  "trigger": 123,
  "triggerEvent": 123,
  "triggerInterval": "<string>",
  "container": [
    "<string>"
  ],
  "conditionGroup": [
    {
      "condition": [
        {
          "id": "<string>",
          "leftSide": "<string>",
          "rightSide": "<string>",
          "operator": 123
        }
      ]
    }
  ],
  "actionValue": [
    {
      "actionType": 123,
      "field": "<string>",
      "value": "<string>",
      "id": "<string>",
      "active": true
    }
  ],
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

id
string
required

The unique identifier of the rule.

Response

The automation rule configuration.

entity
null | string
name
string
description
string
active
boolean
owner
integer
ownerId
string
trigger
integer
triggerEvent
integer
triggerInterval
string
container
string[]
conditionGroup
object[]
actionValue
object[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean